#!/bin/sh

SCRIPTPATH="${0%/*}"
cd ${SCRIPTPATH}
APPPATH="$(pwd)"

#-------const define beg---------
TMPPATH="/tmp/.owapp"
LOGPATH="${TMPPATH}/owapp.log"
BINPATH="${APPPATH}/bin"
MONITORNAME="owapp_monitor"
BINNAME="owapp"
#-------const define beg---------

logger() {
	ct=`date "+%Y-%m-%d %H:%M:%S"`
	echo "${ct} [pid $$] $*" >> "${LOGPATH}"
}

init_env() {
    [ -d "${TMPPATH}" ] || mkdir ${TMPPATH}
    [ -d "${BINPATH}" ] || mkdir ${BINPATH}
}

stop() {
    ${BINPATH}/${BINNAME} --kill=yes 
    ps -ef | grep ${MONITORNAME} | grep -v 'grep' | awk '{print $1}' | xargs kill -9
    pidof ${BINNAME} | xargs kill -9
}

init_env
stop
stop

${BINPATH}/${BINNAME} --rpt=stop &
exit 0
